library (marray)
library (limma)
library (convert)
targets <- readTargets("_targets.txt")
f <- function(x) as.numeric(x$Flags>=0)
RG <- read.maimages(targets$FileName, source="genepix", columns=list(Rf="F635 Median",Gf="F532 Median",Rb="B635 Median",Gb="B532 Median"), wt.fun=f)
RG$printer <-getLayout(RG$genes)
RG_half <- backgroundCorrect(RG, method = "half")
gpr <- as(RG,"marrayRaw")
gpr_half <- as(RG_half,"marrayRaw")
gpr_norm <- maNormMain(gpr_half, f.loc = list(maNormLoess(x = "maA", y = "maM", z = NULL, w = NULL, subset = TRUE, span = 0.4)), f.scale = NULL, a.loc = maCompNormEq(), a.scale = maCompNormEq())
write.marray(gpr_norm, file="_norm_output__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.gpr", val="maM")
jpeg(file = "_MAplot_unnorm__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
maPlot(gpr_half, z = NULL, legend.func=maLegendLines(legend="un-normalized"))
dev.off()
jpeg(file = "_MAplot_norm__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
maPlot(gpr_norm, z = NULL, legend.func=maLegendLines(legend="normalized"))
dev.off()
Rcol <- maPalette(low = "white", high = "red", k = 50)
Gcol <- maPalette(low = "white", high = "green", k = 50)
Mcol <- maPalette(low = "green", high = "red", k = 256)
jpeg(file = "_sPlot_Red_BG__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr, xvar="maRb", col=Rcol, main="Background (Red)")
dev.off()
jpeg(file = "_sPlot_Green_BG__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr, xvar="maGb", col=Gcol, main="Background (Green)")
dev.off()
jpeg(file = "_sPlot_Red_Signals__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr, xvar="maRf", col=Rcol, main="Signal-Int. (Red)")
dev.off()
jpeg(file = "_sPlot_Green_Signals__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr, xvar="maGf", col=Gcol, main="Signal-Int. (Green)")
dev.off()
jpeg(file = "_sPlot_M_values_unnorm__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr, xvar="maM", col=Mcol, main="M-values, un-normalized")
dev.off()
jpeg(file = "_sPlot_M_values_norm__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr_norm, xvar="maM", col=Mcol, main="M-values, normalized")
dev.off()
jpeg(file = "_sPlot_Netto_Red_Signals__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr_half, xvar="maRf", col=Rcol, main="Netto-Signal-Int. (Red)")
dev.off()
jpeg(file = "_sPlot_Netto_Green_Signals__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
image(gpr_half, xvar="maGf", col=Gcol, main="Netto-Signal-Int. (Green)")
dev.off()
jpeg(file = "_BoxPlot_Red_BG__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr, xvar = "maPrintTip", yvar = "maRb", main = "Background - Red")
dev.off()
jpeg(file = "_BoxPlot_Green_BG__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr, xvar = "maPrintTip", yvar = "maGb", main = "Background - Green")
dev.off()
jpeg(file = "_BoxPlot_Red_Sig__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr, xvar = "maPrintTip", yvar = "maRf", main = "Signals - Red")
dev.off()
jpeg(file = "_BoxPlot_Green_Sig__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr, xvar = "maPrintTip", yvar = "maGf", main = "Signals - Green")
dev.off()
jpeg(file = "_BoxPlot_M_unnorm__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr, xvar = "maPrintTip", yvar = "maM", main = "M-values - un-normalized")
dev.off()
jpeg(file = "_BoxPlot_M_norm__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr_norm, xvar = "maPrintTip", yvar = "maM", main = "M-values - normalized")
dev.off()
jpeg(file = "_BoxPlot_Netto_Red_Sig__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr_half, xvar = "maPrintTip", yvar = "maRf", main = "Netto - Signals - Red")
dev.off()
jpeg(file = "_BoxPlot_Netto_Green_Sig__extracted_20181008 Chip2_GenePixResultsFiles_DaceE2vs-DaceEDpycE22_results.jpg")
boxplot(gpr_half, xvar = "maPrintTip", yvar = "maGf", main = "Netto - Signals - Green")
dev.off()
q()
